@font-face {
  font-family: 'super_mario_256regular';
  src: url('supermario256.woff2') format('woff2'), url('supermario256.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

body {
  background-image: url('bg_main.png');
  background-color: #cccccc;
  background-repeat: none;
  font-family: 'super_mario_256regular', Arial, sans-serif;
}

table {
  border-collapse: collapse;
}

td {
  padding: 0;
  margin: 0;
}

#map {
  margin: 0;
  padding: 0;
  position: absolute;
  background-color: #fe9800;
  width: 640px;
  height: 640px;
  left: 64px;
  top: 66px;
}
#combat-announcer {
  position: absolute;
  display: flex;
  flex-direction: column;
  text-align: center;
  font-size: 58px;
  margin: 0;
  padding: 0;
  width: 585px;
  left: 30px;
  z-index: 1;
}
#combat-announcer div {
  flex: 1;
}

#logs {
  font-family: Arial, Helvetica, sans-serif;
  margin: 0;
  padding: 10;
  position: absolute;
  width: 505px;
  height: 354px;
  left: 780px;
  top: 48px;
  overflow: auto;
  scrollbar-color: orange lightyellow;
}

#logs td {
  padding: 5px;
}

.combat-stats {
  flex: 1;
  width: 220px;
  height: 55px;
  font-size: 30px;
}

#controls {
  display: flex;
  position: absolute;
  padding: 0;
  margin: 0;
  height: auto;
  width: 560px;
  top: 580px;
  left: 800px;
  font-size: 32px;
}

#status-hp {
  position: absolute;
  top: 477px;
  left: 830px;
  font-size: 32px;
}

#status-potion {
  position: absolute;
  top: 477px;
  left: 1020px;
  font-size: 32px;
}
#status-bomb {
  position: absolute;
  top: 477px;
  left: 1220px;
  font-size: 32px;
}

.combatant {
  margin: 0;
  padding: 0;
  position: absolute;
  width: 220px;
  height: 240px;
}

.protagonist {
  top: 430px;
  left: 90px;
}

.antagonist {
  top: 300px;
  left: 455px;
}

.combat-sprite {
  flex: 1;
  width: 220px;
  height: 130px;
}

#hp {
  text-align: center;
}
